#
# Config file for the UCSC Human Genome server
#
# the format is in the form of name/value pairs
# written 'name=value' (note that there is no space between
# the name and its value. Also, no blank lines should be in
# this file
###########################################################

include hg.conf.private

# trackDb table to use
db.trackDb=trackDb
# Comment out to disable new double/query insert highlighting options:
browser.indelOptions=on

#  /data/tmp is the default tmpdir location, change this if desired elsewhere.
#  What you want is for it to be on a local filesystem, and it must be
#  read/write/delete enabled for the Apache browser effective user

# Programs required for per-SNP geographic maps of HGDP population
# allele frequencies:
hgc.psxyPath=/hive/data/outside/GMT4.3.1/bin/psxy
hgc.ps2rasterPath=/hive/data/outside/GMT4.3.1/bin/ps2raster
hgc.ghostscriptPath=/usr/bin/ghostscript

#hgHubConnect
hgHubConnect.cacheDir=../trash/hgHubConnect/hubCrawlPublic
#Allow hgHubConnect to run the hubCheck command
hgHubConnect.validateHub=on

# Setting speeds up the browser by caching large trackDb (such as big hubs)
cacheTrackDbDir=/dev/shm/trackDbCache

# location of grepIndex files
grepIndex.genbank=/gbdb/genbank/grepIndex
grepIndex.default=/gbdb

# wiki items to use the login system in the genomewiki for
#       session management
# Commented out by request from dschmelt 10/05/18
login.systemName=hgLogin CGI
#wiki.host=genome.ucsc.edu
wiki.userNameCookie=wikidb_mw1_UserName
wiki.loggedInCookie=wikidb_mw1_UserID
#
# wiki items used by the wiki track to allow editing and fetching
#       pages from the genomewiki
# wikiTrack function turned on 2009, set read-only June 2012
#wikiTrack.readOnly=yes
#  URL is the wiki location for the article pages
#wikiTrack.URL=http://genomewiki.ucsc.edu
#  browser is the site to create links to for new wiki articles
#wikiTrack.browser=genome.soe.ucsc.edu
#  List of wiki user names that have super user edit privileges
#       to wiki track items.  Currently this is only a delete item privilege.
#       A comma separated listing of Wiki user names.
#wikiTrack.editors=Hiram
#  List of databases to enable the wikiTrack function
#wikiTrack.dbList=hg18,mm9,hg19
# session cookie is used during wiki page edits
#wiki.sessionCookie=wikidb_mw1__session

# Comment out to turn off survey link in hgTracks
# survey=on

udc.cacheDir=../trash/udcCache

# log stack dumps
browser.dumpStack=on

# because Galt told us to do it 04/04/11
#signalsHandler=on

# Transient setting that activates link on hgTracks and
# hgGateway for ENCODE/modENCODE survey (March 2010).
# Change to survey=off (or remove survey setting) to retire the survey.
#survey=on
#survey=https://www.surveymonkey.com/s/5YYTRWQ
#surveyLabel=2011 ENCODE Usability Survey 

# Parallel fetching of remote network resources using bigDataUrl 
#    such as trackHubs and customTracks
# how many threads to use (set to 0 to disable)
parallelFetch.threads=100
# how long to wait in seconds for parallel fetch to finish
parallelFetch.timeout=90

# Login statements requested by Chin on Jul 2, 2012
login.browserName=UCSC Genome Browser
login.browserAddr=http://genome.ucsc.edu
login.mailSignature=UCSC Genome Browser Administrator
login.mailReturnAddr=genome-www@soe.ucsc.edu

#Parameters for suggestion form
suggest.mailSignature=UCSC Genome Browser Staff
suggest.mailReturnAddr=genome-www@soe.ucsc.edu
suggest.browserName=UCSC Genome Browser

# No Sql Injection settings
# values for level are ignore, logOnly, warn, abort
noSqlInj.level=abort
# values for dumpStack are on, off
noSqlInj.dumpStack=on

#
browser.node=1

#survey=on
#survey=https://www.surveymonkey.com/r/QYVSXKW

# Log visible tracks to error_log
trackLog=on

# location of CRAM reference sequences
cramRef=/userdata/cramCache

# Display phylogenetic tree in hgGateway (URL relative to cgi-bin)
hgGateway.dbDbTaxonomy=../js/dbDbTaxonomy.js

# Added as a test requested by Chris Lee
# useBlatBigPsl=on

# The following turns on short links for hgSession, allowing the redirect.
# Uncommented on 1/23/19 by request from Brian Lee
hgSession.shortLink=on

# Separate directory for files that belong to saved sessions (hgSession).
# The path must be absolute (starts with /).
# This directory must be on the same filesystem as trash/ so hard links work.
# The purpose of this directory is to allow automated cleaning of old files
# from trash/ while keeping saved session files safe in a different location.
sessionDataDir=/userdata/sessions/rr
sessionDataDirOld=/userdata

# Name prefix of 31 separate databases (one for each day of month, on same
# server as customTrash, using customTracks.* profile) for custom track
# database tables that belong to users' saved sessions, analogous to
# sessionDataDir setting for saved session files.
# The databases must be named as this prefix followed by {01, 02, 03, ... 31}.
# For example, if the value is "customData" then the databases are named
# customData01, customData02, ... customData31.
sessionDataDbPrefix=customData

# Enable hgPhyloPlace:
hgPhyloPlaceEnabled=on
nextstrainHost=https://nextstrain.org
microbeTraceHost=https://cdcgov.github.io
hgPhyloPlaceServerDir=/userdata/hgPhyloPlace/rr

# Recommended track sets refs #25601
browser.recTrackSets=on

# Enable FreeType fonts
freeType=on
freeTypeDir=../htdocs/urw-fonts

# prefix to genark hubs
genarkHubPrefix=https://hgdownload.soe.ucsc.edu/hubs

# Database specific settings
wuhCor1_TopLink=http://genome.ucsc.edu/goldenPath/help/covidBrowserIntro.html
wuhCor1_TopLinkLabel=Quick start guide

# Addition requested by gperez 8/7/21
# Commented out by request dschmelt 9/20/21
#analytics.trackButtons=off

### bottleneck delay multiplier for custom tracks, an integer >= 1
### useful range here is from 1 to about 10.  This will hogExit
### robots that are continuously loading custom tracks.
customTracks.botCheckMult=5

# Related tracks
db.relatedTrack=relatedTrack

# HTTPS Certificate Check Settings are: abort warn log none
httpsCertCheck=log

# domains to whitelist, skip cert checking, space-separated list
# presence of "noHardwiredExceptions" in the list here 
# turns off the hardwired whitelist exceptions in https.c
httpsCertCheckDomainExceptions=

# with wildcard for testing:
#httpsCertCheckDomainExceptions=noHardwiredExceptions *.upf.edu *.igh.cnrs.fr *.med.umich.edu

# Assembly-specific html (e.g. links to more info)
GCA_009914755.4_html=<b><a target=_blank style='font-size:small; position: absolute; margin-left: 1em' href='/goldenPath/newsarch.html#041222'>What is human CHM13-T2T?</a></b>

# Adding parallel loading on files from /gbdb, refs #29819
udc.localDir=/gbdb

# Adding curated hubs line by request from Jairo 09/26/22
curatedHubPrefix=public

# show the hgTracks download track data in window interface popup
showDownloadUi=on

# allows merging of carts - needed so that recommended track sets do not overwrite your own custom data #28525. Note to delete in future as we want this default
mergeRecommended=on

# show a message when hgTracks takes longer than X seconds to load
warnSeconds=40

# Enables the snake display option
canSnake=on

# new GA4 key
analyticsKey=G-P5EV0BL192

signalsHandler=off

# show a tutorial on hgTracks to new users
showTutorial=on
